<?php 

/*****************************************************************************

    Mysta - Tiny web framework.

    Copyright (C) 2012  Fabien LOISON

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

*****************************************************************************/


require_once './lib/core.php';
require_once './lib/http.php';


//Initialize Twig
require_once './lib/Twig/Autoloader.php';
Twig_Autoloader::register();
$twig = new Twig_Environment(new Twig_Loader_Filesystem('./templates'));


//Initialize the Router
require_once './lib/router.php';
$router = new Router();


//Import the Controllers
$handle = opendir('./controllers/');
while (($file = readdir($handle)) !== FALSE) {
	if (is_file('./controllers/' . $file) and preg_match('/\.php$/i', $file)) {
		include_once './controllers/' . $file;
	}
}
closedir($handle);



//Routting
if (get_current_route() == '')
{
	echo $router->route('/');
}
else
{
	echo $router->route(get_current_route());
}
